/**
 * uaplus.css version 0.3.0
 */
@layer{*,*::after,*::before{box-sizing:border-box}:focus-visible{outline-offset:3px}html{-webkit-text-size-adjust:none;text-size-adjust:none}html{line-height:1.5}html{scrollbar-gutter:stable}h1{font-size:2em;margin-block:.67em}abbr[title]{cursor:help;text-decoration-line:underline;text-decoration-style:dotted}@media (forced-colors:active){mark{color:HighlightText;background-color:Highlight}}audio,iframe,svg,video{max-block-size:100%;max-inline-size:100%}fieldset{min-inline-size:0}label:has(+input:not([type="radio"],[type="checkbox"]),select,textarea){display:block}textarea:not([rows]){min-block-size:6em}button,input,select,textarea{font-family:inherit;font-size:inherit}[type="search"]{-webkit-appearance:textfield}@supports (-webkit-touch-callout:none){[type="search"]{border:1px solid -apple-system-secondary-label;background-color:canvas}}input:where([type="tel"],[type="url"],[type="email"],[type="number"]):not(:placeholder-shown){direction:ltr}table{border-collapse:collapse;border:1px solid}th,td{border:1px solid;padding:.25em .5em;vertical-align:top}dialog::backdrop{background:oklch(0% 0 0 / .3)}dialog,[popover],dialog::backdrop{opacity:0;transition:opacity 150ms ease-out,display 150ms allow-discrete,overlay 150ms allow-discrete}dialog[open],:popover-open,dialog[open]::backdrop{opacity:1}@starting-style{dialog[open],:popover-open,dialog[open]::backdrop{opacity:0}}[hidden]:not([hidden="until-found"]){display:none!important}img{display:block}summary{cursor:default}iframe{border:none}@supports(position-area:block-end span-inline-end){[popover]{margin:0;position-area:block-end span-inline-end}}}

html {
	scroll-behavior: smooth;
}

body {
	margin: 0;
	min-height: 100svh;
	font-family: "Noto Sans JP", sans-serif;
	font-weight: 400;
	position: relative;
}
body:before {
	content: "";
	display: block;
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: url("../images/main_bg_sp.jpg") center/cover no-repeat;
	z-index:-1;
}

dd {
	margin-left: 0;
}
ul,
ol {
	padding-left: 0;
}

ul li {
	list-style: none;
}

img {
	width: 100%;
	height: auto;
}


@keyframes fade-in {
    0% {opacity: 0;}
  100% {opacity: 1;}
}

/* header */
header {
	position: fixed;
	z-index: 999;
	color: #fff;
	width: 100%;
	/*mix-blend-mode: difference;*/
}

body.top_header header,
header.open {
	mix-blend-mode: normal;
}

header #header_innner {
	height: 100dvh;
	display: none;
	position: relative;
	background-color:rgba(0,0,0,0.9);
	background-blend-mode:darken;
	background-image: url("../images/main_bg_sp.jpg");
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
	transition: opacity 0.3s ease-in;
}
header #header_innner.active {
	display: block;
		animation: fade-in .5s;
}

header .nav-cover {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
}

header .nav-cover .nav-content {
	width: 268px;
}

header .nav-cover .nav-content ul {
	position: relative;
	margin-top: 56px;
}

header .nav-cover .nav-content ul:before,
header .nav-cover .nav-content ul:after {
	position: absolute;
	content: "";
	display: inline-block;
	background-image: url('../images/nav_decoration.svg');
	background-position: center;
	background-repeat: no-repeat;
	background-size: contain;
	width: 268px;
	height: 20px;
}

header .nav-cover .nav-content ul:before {
	top:-34px;
	transform: scaleY(-1);
}

header .nav-cover .nav-content li {
	text-align: center;
	margin-bottom: 12px;
}

header a {
	color: #fff;
	text-decoration: none;
	font-family: "Abel", sans-serif;
	font-weight: 400;
	font-size: 24px;
	transition: opacity 0.3s;
}

header a:hover {
	opacity: 0.6;
}

header .hamburger {
	display: block;
	position: absolute;
	right: 16px;
	top: 20px;
	width: 32px;
	height: 26px;
	z-index: 999;
}


header .hamburger:before {
	display: block;
	position: absolute;
	content: "";
	width: 60px;
	height: 50px;
	top: -12px;
	left: -14px;
	background: #00000099;
	clip-path: polygon(25% 0%, 75% 0%, 100% 50%, 75% 100%, 25% 100%, 0% 50%);
}

body.top_header header .hamburger:before {
	display: none;
}

body.modaal-noscroll header .hamburger {
	display: none;
}

.modaal-video-container {
	max-width: inherit;
	max-height: inherit;
	aspect-ratio: 16/9;
}

header .hamburger span {
	width: 32px;
	background-color: #fff;
	height: 1px;
	display: block;
	position: absolute;
	transition: opacity .3s, rotate .3s, transform .3s;
}

header .hamburger span:nth-child(1) {
  top: 0px;
  rotate: 0deg;
}
header .hamburger span:nth-child(2) {
  top: 12px;
  opacity: 1;
}
header .hamburger span:nth-child(3) {
  top: 24px;
}

header .hamburger.active span:nth-child(1){
	rotate: 45deg;
	transform: translate(8px, 8px);
}

header .hamburger.active span:nth-child(2){
	opacity: 0;
}
header .hamburger.active span:nth-child(3){
	rotate: -45deg;
	transform: translate(9px, -9px);
}

footer {
	background-color: #000;
	color: #fff;
	padding-top: 32px;
	padding-bottom: 64px;
}
footer p.copy {
	text-align: center;
	font-size: 12px;
}
footer div.link {
	max-width: 482px;
	width: 84.53%;
	margin: auto;
	display: flex;
	flex-wrap: wrap;
	row-gap: 12px;
	column-gap: 5.3%;
}

footer .link a {
	display: block;
	width: 47.3%;
}

footer .kadokawa {
	max-width: 198px;
	margin: 36px auto;
}

@media (min-width: 768px) {
	footer {
		padding-bottom: 32px;
	}
}


.main {
	position: relative;
}

div.bg-bace {
	position: relative;
	background-color: rgba(255, 255, 255, 0.8);
}

.pc-logo {
	position: fixed;
	height: 100dvh;
	display: none;
	width: calc((100vw - 600px)/2 );
	max-width: 340px;
	mix-blend-mode: difference;
	z-index: 99;
	background-image: url(../images/header_bg_pc.svg);
	background-position: bottom right;
	background-repeat: no-repeat;
	background-size: contain;
	transform: scale(-1, -1);
}

.pc-logo .pc-logo-wrapper {
	width: 268px;
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%) scale(-1, -1);
}

@media (min-width: 1400px) {
	body.top_header .pc-logo,
	body.top_header header {
		/*display: none;*/
		opacity: 0;
		visibility: hidden;
		transition: 0.5s;
	}

	header {
		mix-blend-mode: difference;
		right: 0;
		width: calc((100vw - 800px)/2 );
		max-width: 340px;
		opacity: 1;
		visibility: visible;
	}

	header .nav-cover .nav-content ul {
		margin-top: 0;
	}

	header .nav-content .rogo {
		display: none;
	}
	header .hamburger {
		display: none;
	}
	header #header_innner {
		display: block;
		background: #ffff;
		background: linear-gradient(90deg,rgba(255, 255, 255, 1) 0%, rgba(255, 255, 255, 0) 3%);
		background-blend-mode: normal;
		background-image: url(../images/header_bg_pc.svg);
		background-position: bottom right;
		background-repeat: no-repeat;
		background-size: contain;
	}

	.pc-logo {
		display: block;
	}

	header .hamburger {
		display: none;
	}

}

@media (min-width: 768px) {
	footer div.link {
		column-gap: 3.3%;
	}
	footer .link a {
		width: 31.1%;
	}

}



/* 共通箇所 */
h2 {
	font-family: "Abel", sans-serif;
	font-weight: 400;
	text-align: center;
	font-size: 36px;
}
section {
	padding-top: 40px;
	padding-bottom: 64px;
/*	padding-left: 16px;
	padding-right: 16px;*/
	position: relative;
	z-index: 1;
}

section div.conteiner {
	margin: auto;
	max-width: 800px;
	padding-left: 16px;
	padding-right: 16px;
}

@media (min-width: 768px) {
	h2 {
		font-size: 44px;
	}
	section {
		padding-top: 40px;
		padding-bottom: 64px;
	}
}


/* Loading背景画面設定　*/
#splash {
  /*fixedで全面に固定*/
  position: fixed;
  width: 100%;
  height: 100%;
  top: 0;
  background: #fff;
  text-align: center;
  color: #fff;
  z-index: calc(infinity);
}

/* Loading画像中央配置　*/
#splash_logo {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}
#splash_logo img {
  width: 100%;
}

/* fadeUpをするアイコンの動き */
.fdin-box {
  opacity: 0;
}
.fadeUp {
  animation-name: fadeUpAnime;
  animation-duration: 0.5s;
  animation-fill-mode: forwards;
  opacity: 0;
}

@keyframes fadeUpAnime {
  from {
    opacity: 0;
    transform: translateY(50px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

@media screen and (min-width: 766px) {
  #splash_logo img {
    width: 560px;
  }
}


/* mainvisual */
section#mainvisual {
	height: auto;
	background-color: #fff;
	padding: 0;
	position: relative;
	aspect-ratio: 375 / 667;
	overflow: hidden;
}
section#mainvisual picture img.mainvisual_bg {
	width: 100%;
	height: 100%;
	object-fit: cover;
	z-index: 1;
}

section#mainvisual img.mainvisual_copy {
	position: absolute;
	top: 60px;
	left: 50%;
	transform: translateX(-50%);
	max-width: 1000px;
	width:90%;
	object-fit: contain;
	z-index: 3;
	filter: drop-shadow(0 0 0.3rem #000);
}

section#mainvisual img.mainvisual_toka {
	position: absolute;
	bottom: 0;
	left: 50%;
	transform: translateX(-50%);
	width: 160%;
	aspect-ratio: 1/1;
	object-fit: contain;
	z-index: 2;
}

section#mainvisual h1 img {
	position: absolute;
	bottom: 28px;
	left: 50%;
	transform: translateX(-50%);
	z-index: 3;
	width: 605px;
	max-width: 90%;
}

@media (min-width: 768px) {
	section#mainvisual {
		height: 100dvh;
		max-height: 1024px;
		aspect-ratio: inherit;
	}
	section#mainvisual img.mainvisual_copy {
	top: 48px;
	filter: drop-shadow(0 0 0.3rem #000);
}
	section#mainvisual img.mainvisual_toka {
		width: 100%;
		height: 100%;
	}
}



/* movie */
section#movie {
	background-color: #000;
}

#movie .thumb {
	position: relative;
}

#movie .thumb a {
	position: relative;
	display: inline-block;
}
#movie .thumb a:after {
	position: absolute;
	content: "";
	width: 80px;
	height: 80px;
	background-image: url(../images/movie-play.svg);
	background-size: contain;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
}

.modaal-noscroll {
}
.modaal-video-wrap {
	margin: auto 0;
}

@media (min-width: 768px) {
	#movie .thumb a:after {
		width: 146px;
		height:146px;
	}
}


/* INTRODUCTION/STORY */
section#intro_story {
	background-color:rgba(0, 0, 0, 0.8);
	color: #fff;
	font-weight: 400;
	clip-path:polygon(0 0,0 100%,100% 100%,100% 0);
	position: relative;
}

/*
section#intro_story:before {
	content: "";
	display: block;
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: url("../images/main_bg_sp.jpg") center/cover no-repeat;
	z-index:-1;
}
*/
section#intro_story:after {
	content: "";
	position: absolute;
	display: block;
	top: -1px;
	left: 0;
	width: 100%;
	height: 101%;
	background-color:rgba(0, 0, 0, 0.2);
}
section#intro_story div.conteiner {
	position: relative;
	z-index: 2;
}

section#intro_story .tabs {
	max-width:700px;
	margin:0 auto;
}

section#intro_story input[type="radio"] {
	display:none;
}

section#intro_story .tabbar {
	display:flex;
	justify-content:center;
}

section#intro_story .tab {
	width: 50%;
	border: 1px solid #fff;
	text-align: center;
	cursor:pointer;
	font-family: "Abel", sans-serif;
	font-weight: 400;
	font-size: 20px;
	padding: 8px;
	position: relative;
	transition: background-color .3s;
}
section#intro_story .tab:hover {
	background-color: rgb(255 255 255 / 20%);
}

section#intro_story .switch {
	cursor:pointer;
	font-family: "Abel", sans-serif;
	font-weight: 400;
	font-size: 20px;
	position: relative;
	display: inline-block;
	transition: opacity .3s;
}
section#intro_story .switch:hover {
	opacity: 0.6;
}

section#intro_story .tab .material-symbols-outlined,
section#intro_story .switch .material-symbols-outlined {
	font-size: 20px;
	position: absolute;
	top: 50%;
	transform: translateY(-50%);
	margin-left: 4px;
  font-variation-settings:
  'FILL' 0,
  'wght' 300,
  'GRAD' 0,
  'opsz' 24
}


section#intro_story .panels .panel {
	display:none;
	transition: opacity 0.3s ease-in;
}

section#intro_story #t1:checked ~ .panels #p1,
section#intro_story #t2:checked ~ .panels #p2 {
	display:block;
	opacity: 1;
	animation: fade-in-panel .8s;
}

@keyframes fade-in-panel {
    0% {opacity: 0;}
   20% {opacity: 0;}
  100% {opacity: 1;}
}

section#intro_story #t1:checked ~ .tabbar label[for="t1"],
section#intro_story #t2:checked ~ .tabbar label[for="t2"] {
	background:#fff;
	color:#000;
}
section#intro_story p {
	line-height: 1.8;
}

section#intro_story p.selif {
	font-family: "Noto Serif JP", serif;
	font-weight: 400;
	font-size: 120%;
}

section#intro_story .panels .panel div {
	text-align: right;
	padding-right: 20px;
}

@media (max-width: 320px) {
	section#intro_story .tab .material-symbols-outlined {
		margin-left: 0;
	}
}



/*-----------------------------
  fadein
-----------------------------*/
.fadein {
  opacity: 0;
  visibility: hidden;
  transform: translateY(40px);
  transition: transform 1s, opacity 2s;
}
.fadein.is-show {
  opacity: 1;
  visibility: visible;
  transform: translateY(0px);
}


/* character */
#character {}

#character .conteiner {
}

#character .character-picture {
	/*background-color: #9f9f9f;*/
	width: 100%;
	aspect-ratio: 1/1;
	background-repeat: no-repeat;
	background-size: 39px ;
	background-position: right 15% top;
	position: relative;
}
/*
#character .character-picture:before {
	position: absolute;
	content: "";
	width: 100%;
	height: 100%;
	z-index: -1;
	background: radial-gradient(circle at center, rgba(255, 255, 255, .8) 0%, rgba(255, 255, 255, .3) 75%, rgba(255, 255, 255, 0) 100%);
}
*/

#character .character-picture.toka {
	background-image: url(../images/character/bg_character_princess.svg);
}
#character .character-picture.origami {
	background-image: url(../images/character/bg_character_angel.svg);
}
#character .character-picture.yoshino {
	background-image: url(../images/character/bg_character_hermit.svg);
}
#character .character-picture.kotori {
	background-image: url(../images/character/bg_character_efreet.svg);
}
#character .character-picture.kurumi {
	background-image: url(../images/character/bg_character_nightmare.svg);
}
#character .character-picture.miku {
	background-image: url(../images/character/bg_character_diva.svg);
}
#character .character-picture.natsumi {
	background-image: url(../images/character/bg_character_witch.svg);
}
#character .character-picture.mukuro {
	background-image: url(../images/character/bg_character_zodiac.svg);
}
#character .character-picture.kaguya,
#character .character-picture.yuduru {
	background-image: url(../images/character/bg_character_berserk.svg);
}
#character .character-picture.nia {
	background-image: url(../images/character/bg_character_sisiter.svg);
}
#character .character-picture.mio {
	background-image: url(../images/character/bg_character_deus.svg);
}

#character .character-picture img {
	object-fit: contain;
}

#character .character-list {
	position: relative;
}

#character .slider-thumbnail .swiper-slide {
  width: calc(100% / 7);
  cursor: pointer;
  background-color: #fff;
}
#character .slider-thumbnail .swiper-slide img {
  opacity: .5;
  transition: opacity .5s;
}

#character .slider-thumbnail .swiper-slide img:hover,
#character .slider-thumbnail .swiper-slide.swiper-slide-thumb-active img {
  opacity: 1;
}

.swiper-wrapper .swiper-slide {
	display: flex;
	flex-direction: column;
}

#character dl {
	font-family: "Noto Serif JP", serif;
	font-weight: 500;
	position: relative;
	margin-top: 0;
	margin-bottom: 0;
}
#character .swiper-slide dl dt {
	text-shadow: -1px -1px 0 #fff, 1px -1px 0 #fff, -1px 1px 0 #fff, 1px 1px 0 #fff;
}
#character .swiper-slide dl dt span {
	display: block;
	opacity: 0;
	transform: translateY(10px);
	transition: opacity 0.5s 0.3s, transform 0.5s 0.3s;
}

#character dl dt .codename {
	font-size: 12px;
	margin-bottom: 8px;
}

#character dl dt .cv {
	font-size: 12px;
}
#character dl dt .name {
	font-size: 30px;
	font-weight: 600;
	margin-bottom: 8px;
}

#character .swiper-slide dl dd {
	font-size: 14px;
	opacity: 0;
	transform: translateY(10px);
	transition: opacity 0.5s 0.6s, transform 0.5s 0.6s;
	text-shadow: -1px -1px 0 #fff, 1px -1px 0 #fff, -1px 1px 0 #fff, 1px 1px 0 #fff;
}

#character .swiper-slide.swiper-slide-active dl dt span,
#character .swiper-slide.swiper-slide-active dl dd {
	opacity:1;
	transform: translateY(0);
}

#character .swiper-slide .toggle-input {
}

.dress { display: none; }
.reisou { display: block; }

.toggle-input:checked ~ .reisou { display: none; }
.toggle-input:checked ~ .dress { display: block; }

@media (min-width: 768px) {
	#character .character-picture {
		width: 90%;
		margin-left: auto;
		margin-right: 0;
		background-size: 79px ;
		background-position: right 10% top;
	}

	#character .swiper-wrapper .swiper-slide {
		flex-direction:row-reverse;
	}

	#character dl {
		position: absolute;
		bottom: 0;
		left: 0;
		width: 50%;
	}

	#character dl dt .codename {
		font-size: 16px;
	}
	#character dl dt .cv {
		font-size: 16px;
	}
	#character dl dt .name {
		font-size: 34px;
	}
	#character dl dd {
		font-size: 16px;
	}

}

.swiper-button-next:after,
.swiper-button-prev:after {
	content: none;
}

.swiper-button-prev,
.swiper-button-next {
	background-image: url(../images/arrow.svg);
	width: 24px;
	height: 80px;
	background-size: 24px 80px;
	margin-top: -24px;
	top:25%;
}

.swiper-button-prev {
	transform: scale(-1, 1);
}



.section-border {
	aspect-ratio: 1531 / 109;
	background-image: url(../images/hr_border.svg);
	background-size: contain;
	background-repeat: no-repeat;
	width: 360px;
	max-width: 90%;
	margin:0 auto 0;
}

@media (min-width: 768px) {
	.section-border {
		margin:80px auto 0;
	}
}


/* staff/cast */
#staff_cast {
}

#staff_cast hr {
	margin-top: 48px;
	margin-bottom: 40px;
  background-color: #0000001c;
  height: 2px;
  border: none;
}



#staff_cast dt,
#staff_cast dd {
	text-align: center;
}
#staff_cast div.staff div.row,
#staff_cast div.cast div.row {
	row-gap: 24px;
}

#staff_cast div.staff dt,
#staff_cast div.cast dt {
	font-size: 12px;
	color: #a977bc;
	font-weight: 600;
	margin-bottom: 4px;
}
#staff_cast div.staff dt span,
#staff_cast div.cast dt span {
	text-decoration: underline;
}

#staff_cast div.staff dd,
#staff_cast div.cast dd {
	font-size: 22px;
	line-height: 1.3;
}
#staff_cast div.staff dd span {
	font-size: 54%;
	display: block;
}


/* book */
#book {}

#book a {
	display: block;
	margin: auto;
	text-align: center;
	text-decoration: none;
	font-family: "Noto Serif JP", serif;
	font-weight: 500;
	font-size: 24px;
	color: #fff;
	background-color: #000;
	border: 1px solid #000;
	width: 100%;
	max-width: 400px;
	padding: 8px;

	transition: color 0.3s, background-color 0.3s;
}


#book a:hover {
	color: #000;
	background-color: #fff;
}

#book a .material-symbols-outlined {
	position: relative;
	top: 4px;
  font-variation-settings:
  'FILL' 0,
  'wght' 200,
  'GRAD' 0,
  'opsz' 24
}


.btn_fixed {
	position: fixed;
	bottom: 0;
	left: 50%;
	transform: translateX(-50%);
	display: block;
	z-index: 999;
	background-color: #000;
	color: #fff;
	border: 1px solid #fff;
	text-decoration: none;
	cursor: pointer;
	text-align: center;
	font-family: "Noto Serif JP", serif;
	font-weight: 500;
	font-size: 16px;
	padding: 8px 12px;
	width: 90%;
}

body.top_header .btn_fixed {
	display: none;
}

@media (min-width: 768px) {
	.btn_fixed {
		left: auto;
		width: 90%;
		right: 0;
		transform: translateX(0);
		bottom: 12px;
		font-size: 20px;
		width: 360px;
	}
}